import cv2

cascade = cv2.CascadeClassifier('haarcascade_frontalface_alt.xml')

cv2.namedWindow('Camera')
cap = cv2.VideoCapture(0)

while 1:

    stat, img = cap.read()
    # rects = cascade.detectMultiScale(img, 1.3, 4, cv2.cv.CV_HAAR_SCALE_IMAGE,\
    #                                  (20,20))
    rects = cascade.detectMultiScale(img, 1.3, 4)

    if len(rects) != 0:
        rects[:, 2:] += rects[:, :2]
        for x1, y1, x2, y2 in rects:
            cv2.rectangle(img, (x1, y1), (x2, y2), (127, 255, 0), 2)

    cv2.imshow('camera', img)
    key = cv2.waitKey(10)

    if key == 0x1b:
        break

cap.release()
cv2.destroyAllWindows()

    
